Package fr.gouv.vitam.access.internal.client

# Interface AccessInternalClient

All Superinterfaces:
  `AutoCloseable`, `MockOrRestClient`, `VitamAutoCloseable`

public interface AccessInternalClient extends MockOrRestClient
Access client interface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `bulkAtomicUpdateUnits(com.fasterxml.jackson.databind.JsonNode updateQueries)`
  Bulk atomic update of archive units with dsl query.
  `List<StatusByAccessRequest>`
  `checkAccessRequestStatuses(List<AccessRequestReference> accessRequestReferences)`
  `Optional<AccessRequestReference>`
  `createObjectAccessRequest(String idObjectGroup, String qualifier, int version)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `deleteComputeInheritedRules(com.fasterxml.jackson.databind.JsonNode dslQuery)`
  Perform a deletecomputedInheritedRules workflow
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `deleteGotVersions(DeleteGotVersionsRequest request)`
  Perform deleteGotVersions workflow
  `jakarta.ws.rs.core.Response`
  `downloadAccessLogFile(com.fasterxml.jackson.databind.JsonNode params)`
  Get Zipped AccessLog files as Stream
  `jakarta.ws.rs.core.Response`
  `downloadObjectByPersistentIdentifier(String persistentIdentifier)`
  Download object by its persistent identifier.
  `jakarta.ws.rs.core.Response`
  `downloadObjectsByUnitPersistentIdentifier(String unitPersistentIdentifier, String qualifier, Integer version)`
  Download object by unit persistent identifier and other criteria.
  `jakarta.ws.rs.core.Response`
  `downloadTraceabilityFile(String operationId)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `exportByUsageFilter(ExportRequest dipExportRequest)`
  launch a DIP operation by a DSL query
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `exportDIP(com.fasterxml.jackson.databind.JsonNode dslRequest)`
  launch a DIP operation by a DSL query
  `jakarta.ws.rs.core.Response`
  `findExportByID(String id)`
  get a zip file containing a DIP/Transfer by an operation id
  `jakarta.ws.rs.core.Response`
  `findTransferSIPByID(String id)`
  get a zip file containing a SIP/Transfer by an operation id
  `jakarta.ws.rs.core.Response`
  `getObject(String objectGroupId, String usage, int version, String unitId)`
  Retrieve an Object data as an input stream
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `linkedCheckTraceability(com.fasterxml.jackson.databind.JsonNode query)`
  Linked check traceability
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `reclassification(com.fasterxml.jackson.databind.JsonNode reclassificationRequest)`
  Performs a reclassification workflow.
  `void`
  `removeAccessRequest(AccessRequestReference accessRequestReference)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `revertUnits(RevertUpdateOptions revertUpdateOptions)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `selectObjectbyId(com.fasterxml.jackson.databind.JsonNode selectObjectQuery, String objectId)`
  Retrieve an ObjectGroup as Json data based on the provided ObjectGroup id
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `selectObjectGroupLifeCycleById(String idObject, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  selectObjectGroupLifeCycleById
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `selectObjects(com.fasterxml.jackson.databind.JsonNode selectQuery)`
  Select Objects group based on DSL query
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `selectObjectsByObjectPersistentIdentifier(String persistentIdentifier, com.fasterxml.jackson.databind.JsonNode selectQuery)`
  Select Objects by persistent identifier
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `selectOperation(com.fasterxml.jackson.databind.JsonNode select, boolean isSliced, boolean isCrossTenant)`
  selectOperation
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `selectOperationById(String processId)`
  selectOperationbyId
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `selectOperationById(String processId, com.fasterxml.jackson.databind.JsonNode queryDsl, boolean isSliced, boolean isCrossTenant)`
  selectOperationbyId
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `selectUnitbyId(com.fasterxml.jackson.databind.JsonNode sqlQuery, String id)`
  select Unit By Id
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `selectUnitLifeCycleById(String idUnit, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  selectUnitLifeCycleById
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `selectUnits(com.fasterxml.jackson.databind.JsonNode selectQuery)`
  Select Units
  `jakarta.ws.rs.core.Response`
  `selectUnitsByUnitPersistentIdentifier(String persistentIdentifier, com.fasterxml.jackson.databind.JsonNode selectQuery)`
  Select Units by persistent identifier
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `selectUnitsWithInheritedRules(com.fasterxml.jackson.databind.JsonNode selectQuery)`
  Select units with inherited rules by select query (DSL)
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `startComputeInheritedRules(com.fasterxml.jackson.databind.JsonNode dslQuery)`
  Perform a computedInheritedRules workflow
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `startEliminationAction(EliminationRequestBody eliminationRequestBody)`
  Performs an elimination action workflow.
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `startEliminationAnalysis(EliminationRequestBody eliminationRequestBody)`
  Performs an elimination analysis workflow.
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `startPreservation(PreservationRequest request)`
  Perform a preservation workflow
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `startTransferReplyWorkflow(InputStream transferReply)`
  `jakarta.ws.rs.core.Response`
  `streamObjects(com.fasterxml.jackson.databind.JsonNode selectQuery)`
  `jakarta.ws.rs.core.Response`
  `streamUnits(com.fasterxml.jackson.databind.JsonNode selectQuery)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `updateUnitbyId(com.fasterxml.jackson.databind.JsonNode updateQuery, String unitId)`
  update Unit By Id
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `updateUnits(com.fasterxml.jackson.databind.JsonNode updateQuery)`
  Mass update of archive units with dsl query.
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `updateUnitsRules(MassUpdateUnitRuleRequest massUpdateUnitRuleRequest)`
  Mass update of archive units rules.

  ### Methods inherited from interface fr.gouv.vitam.common.client.MockOrRestClient

  `checkStatus, checkStatus, close, consumeAnyEntityAndClose, getResourcePath, getServiceUrl`

- ## Method Details

  - ### selectUnitsByUnitPersistentIdentifier

    jakarta.ws.rs.core.Response selectUnitsByUnitPersistentIdentifier(String persistentIdentifier, com.fasterxml.jackson.databind.JsonNode selectQuery) throws InvalidParseOperationException, AccessInternalClientServerException, AccessInternalClientNotFoundException, AccessUnauthorizedException, BadRequestException
    Select Units by persistent identifier
    Parameters:
      `selectQuery` - the query used to select units
    Returns:
      a response containing a json node object including DSL queries and results
    Throws:
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested unit does not exist
      `AccessUnauthorizedException`
      `BadRequestException` - if empty query is found

  - ### selectObjectsByObjectPersistentIdentifier

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> selectObjectsByObjectPersistentIdentifier(String persistentIdentifier, com.fasterxml.jackson.databind.JsonNode selectQuery) throws InvalidParseOperationException, AccessInternalClientServerException, AccessInternalClientNotFoundException, AccessUnauthorizedException, BadRequestException
    Select Objects by persistent identifier
    Parameters:
      `selectQuery` - the query used to select objects
    Returns:
      a response containing a json node object including DSL queries and results
    Throws:
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested object does not exist
      `AccessUnauthorizedException`
      `BadRequestException` - if empty query is found

  - ### downloadObjectByPersistentIdentifier

    jakarta.ws.rs.core.Response downloadObjectByPersistentIdentifier(String persistentIdentifier) throws VitamClientException
    Download object by its persistent identifier.
    Parameters:
      `persistentIdentifier` - object's persistent identifier
    Returns:
      object binary
    Throws:
      `VitamClientException`

  - ### downloadObjectsByUnitPersistentIdentifier

    jakarta.ws.rs.core.Response downloadObjectsByUnitPersistentIdentifier(String unitPersistentIdentifier, String qualifier, Integer version) throws VitamClientException
    Download object by unit persistent identifier and other criteria.
    Parameters:
      `unitPersistentIdentifier` - the unit persistent identifier
      `qualifier` - the object qualifier
      `version` - the object version, if not provided, the latest is selected
    Returns:
      object binary
    Throws:
      `VitamClientException`

  - ### selectUnits

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> selectUnits(com.fasterxml.jackson.databind.JsonNode selectQuery) throws InvalidParseOperationException, AccessInternalClientServerException, AccessInternalClientNotFoundException, AccessUnauthorizedException, BadRequestException
    Select Units
    Parameters:
      `selectQuery` - the query used to select units
    Returns:
      a response containing a json node object including DSL queries and results
    Throws:
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested unit does not exist
      `AccessUnauthorizedException`
      `BadRequestException` - if empty query is found

  - ### streamUnits

    jakarta.ws.rs.core.Response streamUnits(com.fasterxml.jackson.databind.JsonNode selectQuery) throws AccessInternalClientServerException, ExpectationFailedClientException, AccessUnauthorizedException
    Throws:
      `AccessInternalClientServerException`
      `ExpectationFailedClientException`
      `AccessUnauthorizedException`

  - ### streamObjects

    jakarta.ws.rs.core.Response streamObjects(com.fasterxml.jackson.databind.JsonNode selectQuery) throws AccessInternalClientServerException, ExpectationFailedClientException, AccessUnauthorizedException
    Throws:
      `AccessInternalClientServerException`
      `ExpectationFailedClientException`
      `AccessUnauthorizedException`

  - ### selectUnitbyId

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> selectUnitbyId(com.fasterxml.jackson.databind.JsonNode sqlQuery, String id) throws InvalidParseOperationException, AccessInternalClientServerException, AccessInternalClientNotFoundException, AccessUnauthorizedException
    select Unit By Id
    Parameters:
      `sqlQuery` - the query to be executed
      `id` - the id of the unit
    Returns:
      a response containing a json node object including DSL queries, context and results
    Throws:
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested unit does not exist
      `AccessUnauthorizedException`

  - ### updateUnitbyId

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> updateUnitbyId(com.fasterxml.jackson.databind.JsonNode updateQuery, String unitId) throws InvalidParseOperationException, AccessInternalClientServerException, AccessInternalClientNotFoundException, NoWritingPermissionException, AccessUnauthorizedException
    update Unit By Id
    Parameters:
      `updateQuery` - the query to be executed as an update
      `unitId` - the id of the unit
    Returns:
      a response containing a json node object including DSL queries, context and results
    Throws:
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested unit does not exist
      `AccessUnauthorizedException`
      `AccessInternalRuleExecutionException`
      `NoWritingPermissionException`

  - ### updateUnits

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> updateUnits(com.fasterxml.jackson.databind.JsonNode updateQuery) throws InvalidParseOperationException, AccessInternalClientServerException, NoWritingPermissionException, AccessUnauthorizedException
    Mass update of archive units with dsl query.
    Parameters:
      `updateQuery` - the query to be executed to update archive units
    Returns:
      a response containing a json node object including DSL queries, context and results
    Throws:
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested unit does not exist
      `AccessUnauthorizedException`
      `AccessInternalRuleExecutionException`
      `NoWritingPermissionException`

  - ### updateUnitsRules

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> updateUnitsRules(MassUpdateUnitRuleRequest massUpdateUnitRuleRequest) throws InvalidParseOperationException, AccessInternalClientServerException, NoWritingPermissionException, AccessUnauthorizedException
    Mass update of archive units rules.
    Parameters:
      `massUpdateUnitRuleRequest` - the request to be used to update archive units rules
    Returns:
      a response containing a json node object including queries, context and results
    Throws:
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested unit does not exist
      `AccessUnauthorizedException`
      `AccessInternalRuleExecutionException`
      `NoWritingPermissionException`

  - ### bulkAtomicUpdateUnits

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> bulkAtomicUpdateUnits(com.fasterxml.jackson.databind.JsonNode updateQueries) throws InvalidParseOperationException, AccessInternalClientServerException, NoWritingPermissionException, AccessUnauthorizedException
    Bulk atomic update of archive units with dsl query.
    Parameters:
      `updateQueries` - the request containing a list of update queries to be executed to update archive units and the threshold
    Returns:
      a response containing a json node object including DSL queries, context and results
    Throws:
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested unit does not exist
      `AccessUnauthorizedException`
      `AccessInternalRuleExecutionException`
      `NoWritingPermissionException`

  - ### selectObjectbyId

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> selectObjectbyId(com.fasterxml.jackson.databind.JsonNode selectObjectQuery, String objectId) throws InvalidParseOperationException, AccessInternalClientServerException, AccessInternalClientNotFoundException, AccessUnauthorizedException
    Retrieve an ObjectGroup as Json data based on the provided ObjectGroup id
    Parameters:
      `selectObjectQuery` - the query to be executed
      `objectId` - the Id of the ObjectGroup
    Returns:
      a response containing a json node object including DSL queries, context and results
    Throws:
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested object does not exist
      `AccessUnauthorizedException`

  - ### getObject

    jakarta.ws.rs.core.Response getObject(String objectGroupId, String usage, int version, String unitId) throws InvalidParseOperationException, AccessInternalClientServerException, AccessInternalClientNotFoundException, AccessUnauthorizedException, AccessInternalClientUnavailableDataFromAsyncOfferException
    Retrieve an Object data as an input stream
    Parameters:
      `objectGroupId` - the Id of the ObjectGroup
      `usage` - the requested usage
      `version` - the requested version of the usage
      `unitId` - the id used by the user to have access to the object
    Returns:
      Response containing InputStream for the object data
    Throws:
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested object does not exist
      `AccessUnauthorizedException`
      `AccessInternalClientUnavailableDataFromAsyncOfferException` - if access to the requested object requires an Access Request.

  - ### selectOperation

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> selectOperation(com.fasterxml.jackson.databind.JsonNode select, boolean isSliced, boolean isCrossTenant) throws LogbookClientException, InvalidParseOperationException, AccessUnauthorizedException
    selectOperation
    Parameters:
      `select` -
      `isSliced` -
      `isCrossTenant` -
    Returns:
      a response containing a json node
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`
      `AccessUnauthorizedException`

  - ### selectOperationById

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> selectOperationById(String processId, com.fasterxml.jackson.databind.JsonNode queryDsl, boolean isSliced, boolean isCrossTenant) throws LogbookClientException, InvalidParseOperationException, AccessUnauthorizedException
    selectOperationbyId
    Parameters:
      `processId` - ID of the operation
      `queryDsl` - query to be executed
      `isSliced` - true to slice response
      `isCrossTenant` - true to include cross tenant collection operations
    Returns:
      a response containing a json node
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`
      `AccessUnauthorizedException`

  - ### selectOperationById

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> selectOperationById(String processId) throws LogbookClientException, InvalidParseOperationException, AccessUnauthorizedException
    selectOperationbyId
    Parameters:
      `processId` - ID of the operation
    Returns:
      a response containing a json node
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`
      `AccessUnauthorizedException`

  - ### selectUnitLifeCycleById

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> selectUnitLifeCycleById(String idUnit, com.fasterxml.jackson.databind.JsonNode queryDsl) throws LogbookClientException, InvalidParseOperationException, AccessUnauthorizedException
    selectUnitLifeCycleById
    Parameters:
      `idUnit` -
      `queryDsl` - query to be executed
    Returns:
      a response containing a json node
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`
      `AccessUnauthorizedException`

  - ### selectObjectGroupLifeCycleById

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> selectObjectGroupLifeCycleById(String idObject, com.fasterxml.jackson.databind.JsonNode queryDsl) throws LogbookClientException, InvalidParseOperationException, AccessUnauthorizedException
    selectObjectGroupLifeCycleById
    Parameters:
      `idObject` -
      `queryDsl` - query to be executed
    Returns:
      a response containing a json node
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`
      `AccessUnauthorizedException`

  - ### linkedCheckTraceability

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> linkedCheckTraceability(com.fasterxml.jackson.databind.JsonNode query) throws LogbookClientException, InvalidParseOperationException, AccessUnauthorizedException
    Linked check traceability
    Parameters:
      `query` - to be executed
    Returns:
      a response containing a json node
    Throws:
      `LogbookClientServerException`
      `AccessUnauthorizedException`
      `LogbookClientException`
      `InvalidParseOperationException`

  - ### downloadTraceabilityFile

    jakarta.ws.rs.core.Response downloadTraceabilityFile(String operationId) throws AccessInternalClientServerException, AccessInternalClientNotFoundException, InvalidParseOperationException, AccessUnauthorizedException
    Parameters:
      `operationId` -
    Returns:
      a response containing the traceability file
    Throws:
      `AccessUnauthorizedException`
      `AccessInternalClientServerException`
      `AccessInternalClientNotFoundException`
      `InvalidParseOperationException`

  - ### exportDIP

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> exportDIP(com.fasterxml.jackson.databind.JsonNode dslRequest) throws AccessInternalClientServerException
    launch a DIP operation by a DSL query
    Parameters:
      `dslRequest` - query for the DIP creation
    Returns:
    Throws:
      `AccessInternalClientServerException`

  - ### exportByUsageFilter

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> exportByUsageFilter(ExportRequest dipExportRequest) throws AccessInternalClientServerException
    launch a DIP operation by a DSL query
    Parameters:
      `dipExportRequest` - query for the DIP/Tranfer creation
    Returns:
    Throws:
      `AccessInternalClientServerException`

  - ### findExportByID

    jakarta.ws.rs.core.Response findExportByID(String id) throws AccessInternalClientServerException
    get a zip file containing a DIP/Transfer by an operation id
    Parameters:
      `id` - operationId
    Returns:
      stream containing zip file
    Throws:
      `AccessInternalClientServerException`

  - ### findTransferSIPByID

    jakarta.ws.rs.core.Response findTransferSIPByID(String id) throws AccessInternalClientServerException
    get a zip file containing a SIP/Transfer by an operation id
    Parameters:
      `id` - operationId
    Returns:
      stream containing zip file
    Throws:
      `AccessInternalClientServerException`

  - ### reclassification

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> reclassification(com.fasterxml.jackson.databind.JsonNode reclassificationRequest) throws AccessInternalClientServerException
    Performs a reclassification workflow.
    Parameters:
      `reclassificationRequest` - List of attachment and detachment operations in unit graph.
    Returns:
      Response
    Throws:
      `AccessInternalClientServerException`

  - ### selectObjects

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> selectObjects(com.fasterxml.jackson.databind.JsonNode selectQuery) throws InvalidParseOperationException, AccessInternalClientServerException, AccessInternalClientNotFoundException, AccessUnauthorizedException, BadRequestException
    Select Objects group based on DSL query
    Parameters:
      `selectQuery` - the query used to select objects
    Returns:
      a response containing a json node object including DSL queries and results
    Throws:
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested object does not exist
      `AccessUnauthorizedException`
      `BadRequestException` - if empty query is found

  - ### selectUnitsWithInheritedRules

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> selectUnitsWithInheritedRules(com.fasterxml.jackson.databind.JsonNode selectQuery) throws InvalidParseOperationException, AccessInternalClientServerException, AccessInternalClientNotFoundException, AccessUnauthorizedException, BadRequestException
    Select units with inherited rules by select query (DSL)
    Parameters:
      `selectQuery` - : select query
    Returns:
      a response containing a json node object including DSL queries and results
    Throws:
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested unit does not exist
      `AccessUnauthorizedException`
      `BadRequestException` - if empty query is found

  - ### downloadAccessLogFile

    jakarta.ws.rs.core.Response downloadAccessLogFile(com.fasterxml.jackson.databind.JsonNode params) throws AccessInternalClientServerException, AccessInternalClientNotFoundException, InvalidParseOperationException, AccessUnauthorizedException
    Get Zipped AccessLog files as Stream
    Returns:
      a response containing zipped accessLog files as Stream
    Throws:
      `AccessInternalClientServerException` - if the server encountered an exception
      `AccessInternalClientNotFoundException` - if the requested object does not exist
      `InvalidParseOperationException` - if the query is not well formatted
      `AccessUnauthorizedException`

  - ### startEliminationAnalysis

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> startEliminationAnalysis(EliminationRequestBody eliminationRequestBody) throws AccessInternalClientServerException
    Performs an elimination analysis workflow.
    Parameters:
      `eliminationRequestBody` - Dsl request for elimination.
    Returns:
      Response given response
    Throws:
      `AccessInternalClientServerException`

  - ### startEliminationAction

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> startEliminationAction(EliminationRequestBody eliminationRequestBody) throws AccessInternalClientServerException
    Performs an elimination action workflow.
    Parameters:
      `eliminationRequestBody` - Dsl request for elimination.
    Returns:
      Response given response
    Throws:
      `AccessInternalClientServerException` - AccessInternalClientServerException

  - ### startPreservation

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> startPreservation(PreservationRequest request) throws AccessInternalClientServerException
    Perform a preservation workflow
    Parameters:
      `request` - preservation request
    Returns:
      the given RequestResponse
    Throws:
      `AccessInternalClientServerException` - AccessInternalClientServerException

  - ### deleteGotVersions

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> deleteGotVersions(DeleteGotVersionsRequest request) throws AccessInternalClientServerException
    Perform deleteGotVersions workflow
    Parameters:
      `request` -
    Returns:
    Throws:
      `AccessInternalClientServerException`

  - ### startComputeInheritedRules

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> startComputeInheritedRules(com.fasterxml.jackson.databind.JsonNode dslQuery) throws AccessInternalClientServerException
    Perform a computedInheritedRules workflow
    Parameters:
      `dslQuery` - request to process
    Returns:
      the given RequestResponse
    Throws:
      `AccessInternalClientServerException` - AccessInternalClientServerException

  - ### deleteComputeInheritedRules

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> deleteComputeInheritedRules(com.fasterxml.jackson.databind.JsonNode dslQuery) throws AccessInternalClientServerException
    Perform a deletecomputedInheritedRules workflow
    Parameters:
      `dslQuery` - request to process
    Returns:
      the given RequestResponse
    Throws:
      `AccessInternalClientServerException` - AccessInternalClientServerException

  - ### startTransferReplyWorkflow

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> startTransferReplyWorkflow(InputStream transferReply) throws AccessInternalClientServerException
    Throws:
      `AccessInternalClientServerException`

  - ### revertUnits

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> revertUnits(RevertUpdateOptions revertUpdateOptions) throws AccessInternalClientServerException, InvalidParseOperationException, AccessUnauthorizedException, NoWritingPermissionException, com.fasterxml.jackson.databind.exc.InvalidFormatException
    Throws:
      `AccessInternalClientServerException`
      `InvalidParseOperationException`
      `AccessUnauthorizedException`
      `NoWritingPermissionException`
      `com.fasterxml.jackson.databind.exc.InvalidFormatException`

  - ### createObjectAccessRequest

    Optional<AccessRequestReference> createObjectAccessRequest(String idObjectGroup, String qualifier, int version) throws AccessInternalClientServerException, AccessInternalClientNotFoundException, AccessUnauthorizedException
    Throws:
      `AccessInternalClientServerException`
      `AccessInternalClientNotFoundException`
      `AccessUnauthorizedException`

  - ### checkAccessRequestStatuses

    List<StatusByAccessRequest> checkAccessRequestStatuses(List<AccessRequestReference> accessRequestReferences) throws AccessInternalClientServerException, AccessInternalClientIllegalOperationException
    Throws:
      `AccessInternalClientServerException`
      `AccessInternalClientIllegalOperationException`

  - ### removeAccessRequest

    void removeAccessRequest(AccessRequestReference accessRequestReference) throws AccessInternalClientServerException, AccessInternalClientIllegalOperationException
    Throws:
      `AccessInternalClientServerException`
      `AccessInternalClientIllegalOperationException`